Bug 1768436 - [4.2] backport kube-proxy fix for spurious connection resets
Summary: [4.2] backport kube-proxy fix for spurious connection resets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1762298
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-04 12:43 UTC by Dan Winship
Modified: 2019-12-11 22:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1762298
Environment:
Last Closed: 2019-12-11 22:36:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift sdn pull 56 'None' closed Bug 1768436: UPSTREAM: 74840: kube-proxy: Drop packets in INVALID state 2020-02-28 19:31:34 UTC
Red Hat Product Errata RHBA-2019:4093 None None None 2019-12-11 22:36:16 UTC

Comment 2 zhaozhanqi 2019-12-02 06:49:23 UTC
Verified this bug on 4.2.0-0.ci-2019-11-30-132200

sh-4.2# iptables-save | grep INVALID | grep KUBE-FOR
-A KUBE-FORWARD -m conntrack --ctstate INVALID -j DROP

Comment 4 errata-xmlrpc 2019-12-11 22:36:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4093


Note You need to log in before you can comment on or make changes to this bug.